{% extends "base.html" %}

{% block slide %}
	{% set current_section = None %}
	{% for slide in slides %}

		{% if not (slide.section is none) and not (slide.section is sameas current_section) %}
			<!-- Display the table of content at each section change -->
			{% set current_section = slide.section %}
			<section>
				<ul class="index">
					{% for section in sections %}
						<li class="{% if section.name == slide.section %}focus{% else %}other{% endif %}" >
							<h3>{{ section.name }}</h3>
						</li>
					{% endfor %}
				</ul>
			</section>
		{% endif %}

		<section title="{% if not (slide.section is none) %}{{ slide.section }}{% endif %}">
			{{ slide.content }}

			{% if not (slide.notes is none) and not (slide.notes is sameas "") %}
				<aside class="notes">{{ slide.notes }}</aside>
			{% endif %}
		</section>

	{% endfor %}

{% endblock %}
